DBusAuthServer Struct Reference
D-Bus secret internal implementation details » Authentication implementation details

"Subclass" of DBusAuth for server side. More...

## Data Fields

DBusAuth | base
| Parent class.
int | failures
| Number of times client has been rejected.
int | max_failures
| Number of times we reject before disconnect.
DBusString | guid
| Our globally unique ID in hex encoding.

## Detailed Description

"Subclass" of DBusAuth for server side.

Definition at line 214 of file dbus-auth.c.

## Field Documentation

## base

DBusAuth DBusAuthServer::base

Parent class.

Definition at line 216 of file dbus-auth.c.

## failures

int DBusAuthServer::failures

Number of times client has been rejected.

Definition at line 218 of file dbus-auth.c.

Referenced by _dbus_auth_server_new().

## guid

DBusString DBusAuthServer::guid

Our globally unique ID in hex encoding.

Definition at line 221 of file dbus-auth.c.

Referenced by _dbus_auth_server_new().

## max_failures

int DBusAuthServer::max_failures

Number of times we reject before disconnect.

Definition at line 219 of file dbus-auth.c.

Referenced by _dbus_auth_server_new().

The documentation for this struct was generated from the following file:

- dbus-auth.c